import { HttpApi } from '@aws-cdk/aws-apigatewayv2-alpha';
import { App, Stack } from 'aws-cdk-lib';
import { ICertificate } from 'aws-cdk-lib/aws-certificatemanager';
import { Distribution } from 'aws-cdk-lib/aws-cloudfront';
import { Function } from 'aws-cdk-lib/aws-lambda';
import { Bucket } from 'aws-cdk-lib/aws-s3';
import { CustomStackProps, SetupApiGwProps, SetupCfnDistroProps, SetupImageLambdaProps, SetupServerLambdaProps, UploadAssetsProps } from './types';
export declare class NextStandaloneStack extends Stack {
    private imageLambda?;
    private serverLambda?;
    private apiGateway?;
    private assetsBucket?;
    private cfnDistro?;
    private cfnCertificate?;
    constructor(scope: App, id: string, config: CustomStackProps);
    setupAssetsBucket(): Bucket;
    setupApiGateway({ imageLambda, imageBasePath, serverLambda, serverBasePath }: SetupApiGwProps): HttpApi;
    setupServerLambda({ basePath, codePath, dependenciesPath, handler, memory, timeout }: SetupServerLambdaProps): Function;
    setupImageLambda({ assetsBucket, codePath, handler }: SetupImageLambdaProps): Function;
    setupCfnDistro({ apiGateway, imageBasePath, serverBasePath, assetsBucket, domainNames, certificate, description }: SetupCfnDistroProps): Distribution;
    getCfnCertificate(acmCertificateArn: string): ICertificate;
    uploadStaticAssets({ assetsBucket, assetsPath, cfnDistribution }: UploadAssetsProps): void;
}
